%define version_major 0.96
%define version_minor 11

Name:           corrida
Version:        %{version_major}.%{version_minor}
Release:        alt1_11
Summary:        Application for archivation of meteor observations

Group:          Toys
License:        GPLv2
URL:            http://corrida.pkim.org/
Source0:        http://corrida.pkim.org/releases/corrida-%{version_major}-%{version_minor}.tar.gz
Source1:        corrida.desktop
Patch0:         corrida-0.96-11-count.patch

BuildRequires:  gtk2-devel
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils
Source44: import.info

%description
Application was designed by Polish Fireball Center cooperators to ease
archivation of meteor observations.

%prep
%setup -q -n corrida-%{version_major}-%{version_minor}
%patch0 -p1 -b .count

%build
find . -type f |xargs chmod 0644
make %{?_smp_mflags} PREFIX=%{_prefix}/ CFLAGS="%{optflags}"
convert common/corrida.ico corrida.png


%install
make install PREFIX=$RPM_BUILD_ROOT%{_prefix}/

# Directory structure
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -d $RPM_BUILD_ROOT%{_datadir}/applications

# Icon
install -pm 0644 corrida.png $RPM_BUILD_ROOT%{_datadir}/pixmaps

# Menu entry
desktop-file-install %{SOURCE1} \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications

%files
%{_bindir}/corrida
%{_bindir}/torero
%{_datadir}/corrida
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%doc copying

%changelog
* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.96.11-alt1_11
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.96.11-alt1_10
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.96.11-alt1_9
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.96.11-alt1_8
- fc import

